## org.eclipse.datatools.modelbase.sql.query.provider
Class SQLQueryModelItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.datatools.modelbase.sql.query.util.SQLQueryModelAdapterFactory
              org.eclipse.datatools.modelbase.sql.query.provider.SQLQueryModelItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier

    public class SQLQueryModelItemProviderAdapterFactory

extends SQLQueryModelAdapterFactory
implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Constructor Summary
`SQLQueryModelItemProviderAdapterFactory()` This constructs an instance.

Method Summary
`org.eclipse.emf.common.notify.Adapter` `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)`
`void` `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener.
`org.eclipse.emf.common.notify.Adapter` `createColumnNameAdapter()` This creates an adapter for a `ColumnName`.
`org.eclipse.emf.common.notify.Adapter` `createCursorReferenceAdapter()` This creates an adapter for a `CursorReference`.
`org.eclipse.emf.common.notify.Adapter` `createGroupingExpressionAdapter()` This creates an adapter for a `GroupingExpression`.
`org.eclipse.emf.common.notify.Adapter` `createGroupingSetsAdapter()` This creates an adapter for a `GroupingSets`.
`org.eclipse.emf.common.notify.Adapter` `createGroupingSetsElementExpressionAdapter()` This creates an adapter for a `GroupingSetsElementExpression`.
`org.eclipse.emf.common.notify.Adapter` `createGroupingSetsElementSublistAdapter()` This creates an adapter for a `GroupingSetsElementSublist`.
`org.eclipse.emf.common.notify.Adapter` `createOrderByOrdinalAdapter()` This creates an adapter for a `OrderByOrdinal`.
`org.eclipse.emf.common.notify.Adapter` `createOrderByResultColumnAdapter()` This creates an adapter for a `OrderByResultColumn`.
`org.eclipse.emf.common.notify.Adapter` `createOrderByValueExpressionAdapter()` This creates an adapter for a `OrderByValueExpression`.
`org.eclipse.emf.common.notify.Adapter` `createPredicateBasicAdapter()` This creates an adapter for a `PredicateBasic`.
`org.eclipse.emf.common.notify.Adapter` `createPredicateBetweenAdapter()` This creates an adapter for a `PredicateBetween`.
`org.eclipse.emf.common.notify.Adapter` `createPredicateExistsAdapter()` This creates an adapter for a `PredicateExists`.
`org.eclipse.emf.common.notify.Adapter` `createPredicateInValueListAdapter()` This creates an adapter for a `PredicateInValueList`.
`org.eclipse.emf.common.notify.Adapter` `createPredicateInValueRowSelectAdapter()` This creates an adapter for a `PredicateInValueRowSelect`.
`org.eclipse.emf.common.notify.Adapter` `createPredicateInValueSelectAdapter()` This creates an adapter for a `PredicateInValueSelect`.
`org.eclipse.emf.common.notify.Adapter` `createPredicateIsNullAdapter()` This creates an adapter for a `PredicateIsNull`.
`org.eclipse.emf.common.notify.Adapter` `createPredicateLikeAdapter()` This creates an adapter for a `PredicateLike`.
`org.eclipse.emf.common.notify.Adapter` `createPredicateQuantifiedRowSelectAdapter()` This creates an adapter for a `PredicateQuantifiedRowSelect`.
`org.eclipse.emf.common.notify.Adapter` `createPredicateQuantifiedValueSelectAdapter()` This creates an adapter for a `PredicateQuantifiedValueSelect`.
`org.eclipse.emf.common.notify.Adapter` `createQueryCombinedAdapter()` This creates an adapter for a `QueryCombined`.
`org.eclipse.emf.common.notify.Adapter` `createQueryDeleteStatementAdapter()` This creates an adapter for a `QueryDeleteStatement`.
`org.eclipse.emf.common.notify.Adapter` `createQueryExpressionRootAdapter()` This creates an adapter for a `QueryExpressionRoot`.
`org.eclipse.emf.common.notify.Adapter` `createQueryInsertStatementAdapter()` This creates an adapter for a `QueryInsertStatement`.
`org.eclipse.emf.common.notify.Adapter` `createQueryMergeStatementAdapter()` This creates an adapter for a `QueryMergeStatement`.
`org.eclipse.emf.common.notify.Adapter` `createQueryNestedAdapter()` This creates an adapter for a `QueryNested`.
`org.eclipse.emf.common.notify.Adapter` `createQuerySelectAdapter()` This creates an adapter for a `QuerySelect`.
`org.eclipse.emf.common.notify.Adapter` `createQuerySelectStatementAdapter()` This creates an adapter for a `QuerySelectStatement`.
`org.eclipse.emf.common.notify.Adapter` `createQueryUpdateStatementAdapter()` This creates an adapter for a `QueryUpdateStatement`.
`org.eclipse.emf.common.notify.Adapter` `createQueryValuesAdapter()` This creates an adapter for a `QueryValues`.
`org.eclipse.emf.common.notify.Adapter` `createResultColumnAdapter()` This creates an adapter for a `ResultColumn`.
`org.eclipse.emf.common.notify.Adapter` `createResultTableAllColumnsAdapter()` This creates an adapter for a `ResultTableAllColumns`.
`org.eclipse.emf.common.notify.Adapter` `createSearchConditionCombinedAdapter()` This creates an adapter for a `SearchConditionCombined`.
`org.eclipse.emf.common.notify.Adapter` `createSearchConditionNestedAdapter()` This creates an adapter for a `SearchConditionNested`.
`org.eclipse.emf.common.notify.Adapter` `createSuperGroupAdapter()` This creates an adapter for a `SuperGroup`.
`org.eclipse.emf.common.notify.Adapter` `createSuperGroupElementExpressionAdapter()` This creates an adapter for a `SuperGroupElementExpression`.
`org.eclipse.emf.common.notify.Adapter` `createSuperGroupElementSublistAdapter()` This creates an adapter for a `SuperGroupElementSublist`.
`org.eclipse.emf.common.notify.Adapter` `createTableCorrelationAdapter()` This creates an adapter for a `TableCorrelation`.
`org.eclipse.emf.common.notify.Adapter` `createTableFunctionAdapter()` This creates an adapter for a `TableFunction`.
`org.eclipse.emf.common.notify.Adapter` `createTableInDatabaseAdapter()` This creates an adapter for a `TableInDatabase`.
`org.eclipse.emf.common.notify.Adapter` `createTableJoinedAdapter()` This creates an adapter for a `TableJoined`.
`org.eclipse.emf.common.notify.Adapter` `createTableNestedAdapter()` This creates an adapter for a `TableNested`.
`org.eclipse.emf.common.notify.Adapter` `createUpdateAssignmentExpressionAdapter()` This creates an adapter for a `UpdateAssignmentExpression`.
`org.eclipse.emf.common.notify.Adapter` `createUpdateSourceAdapter()` This creates an adapter for a `UpdateSource`.
`org.eclipse.emf.common.notify.Adapter` `createUpdateSourceExprListAdapter()` This creates an adapter for a `UpdateSourceExprList`.
`org.eclipse.emf.common.notify.Adapter` `createUpdateSourceQueryAdapter()` This creates an adapter for a `UpdateSourceQuery`.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionCaseElseAdapter()` This creates an adapter for a `ValueExpressionCaseElse`.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionCaseSearchAdapter()` This creates an adapter for a `ValueExpressionCaseSearch`.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionCaseSearchContentAdapter()` This creates an adapter for a `ValueExpressionCaseSearchContent`.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionCaseSimpleAdapter()` This creates an adapter for a `ValueExpressionCaseSimple`.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionCaseSimpleContentAdapter()` This creates an adapter for a `ValueExpressionCaseSimpleContent`.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionCastAdapter()` This creates an adapter for a `ValueExpressionCast`.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionColumnAdapter()` This creates an adapter for a `ValueExpressionColumn`.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionCombinedAdapter()` This creates an adapter for a `ValueExpressionCombined`.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionDefaultValueAdapter()` This creates an adapter for a `ValueExpressionDefaultValue`.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionFunctionAdapter()` This creates an adapter for a `ValueExpressionFunction`.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionLabeledDurationAdapter()` This creates an adapter for a `ValueExpressionLabeledDuration`.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionNestedAdapter()` This creates an adapter for a `ValueExpressionNested`.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionNullValueAdapter()` This creates an adapter for a `ValueExpressionNullValue`.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionScalarSelectAdapter()` This creates an adapter for a `ValueExpressionScalarSelect`.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionSimpleAdapter()` This creates an adapter for a `ValueExpressionSimple`.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionVariableAdapter()` This creates an adapter for a `ValueExpressionVariable`.
`org.eclipse.emf.common.notify.Adapter` `createValuesRowAdapter()` This creates an adapter for a `ValuesRow`.
`org.eclipse.emf.common.notify.Adapter` `createWithTableReferenceAdapter()` This creates an adapter for a `WithTableReference`.
`org.eclipse.emf.common.notify.Adapter` `createWithTableSpecificationAdapter()` This creates an adapter for a `WithTableSpecification`.
`void` `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.util.SQLQueryModelAdapterFactory

`createAdapter, createCallStatementAdapter, createEModelElementAdapter, createENamedElementAdapter, createEObjectAdapter, createGroupingAdapter, createGroupingSetsElementAdapter, createGroupingSpecificationAdapter, createMergeInsertSpecificationAdapter, createMergeOnConditionAdapter, createMergeOperationSpecificationAdapter, createMergeSourceTableAdapter, createMergeTargetTableAdapter, createMergeUpdateSpecificationAdapter, createOrderBySpecificationAdapter, createPredicateAdapter, createPredicateInAdapter, createPredicateQuantifiedAdapter, createProcedureReferenceAdapter, createQueryChangeStatementAdapter, createQueryExpressionAdapter, createQueryExpressionBodyAdapter, createQueryResultSpecificationAdapter, createQuerySearchConditionAdapter, createQueryStatementAdapter, createQueryValueExpressionAdapter, createSearchConditionAdapter, createSQLControlStatementAdapter, createSQLDataChangeStatementAdapter, createSQLDataStatementAdapter, createSQLObjectAdapter, createSQLQueryObjectAdapter, createSQLStatementAdapter, createSuperGroupElementAdapter, createTableExpressionAdapter, createTableReferenceAdapter, createUpdatabilityExpressionAdapter, createUpdateOfColumnAdapter, createValueExpressionAdapter, createValueExpressionAtomicAdapter, createValueExpressionCaseAdapter, createValueExpressionRowAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Constructor Detail

### SQLQueryModelItemProviderAdapterFactory

    public SQLQueryModelItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createQueryDeleteStatementAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryDeleteStatementAdapter()

  This creates an adapter for a `QueryDeleteStatement`.

  Overrides:
    `createQueryDeleteStatementAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `QueryDeleteStatement`

### createQueryInsertStatementAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryInsertStatementAdapter()

  This creates an adapter for a `QueryInsertStatement`.

  Overrides:
    `createQueryInsertStatementAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `QueryInsertStatement`

### createQuerySelectStatementAdapter

    public org.eclipse.emf.common.notify.Adapter createQuerySelectStatementAdapter()

  This creates an adapter for a `QuerySelectStatement`.

  Overrides:
    `createQuerySelectStatementAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `QuerySelectStatement`

### createQueryUpdateStatementAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryUpdateStatementAdapter()

  This creates an adapter for a `QueryUpdateStatement`.

  Overrides:
    `createQueryUpdateStatementAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `QueryUpdateStatement`

### createUpdateAssignmentExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createUpdateAssignmentExpressionAdapter()

  This creates an adapter for a `UpdateAssignmentExpression`.

  Overrides:
    `createUpdateAssignmentExpressionAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `UpdateAssignmentExpression`

### createCursorReferenceAdapter

    public org.eclipse.emf.common.notify.Adapter createCursorReferenceAdapter()

  This creates an adapter for a `CursorReference`.

  Overrides:
    `createCursorReferenceAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CursorReference`

### createQueryExpressionRootAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryExpressionRootAdapter()

  This creates an adapter for a `QueryExpressionRoot`.

  Overrides:
    `createQueryExpressionRootAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `QueryExpressionRoot`

### createValuesRowAdapter

    public org.eclipse.emf.common.notify.Adapter createValuesRowAdapter()

  This creates an adapter for a `ValuesRow`.

  Overrides:
    `createValuesRowAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValuesRow`

### createQueryValuesAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryValuesAdapter()

  This creates an adapter for a `QueryValues`.

  Overrides:
    `createQueryValuesAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `QueryValues`

### createTableJoinedAdapter

    public org.eclipse.emf.common.notify.Adapter createTableJoinedAdapter()

  This creates an adapter for a `TableJoined`.

  Overrides:
    `createTableJoinedAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TableJoined`

### createWithTableSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createWithTableSpecificationAdapter()

  This creates an adapter for a `WithTableSpecification`.

  Overrides:
    `createWithTableSpecificationAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `WithTableSpecification`

### createSearchConditionCombinedAdapter

    public org.eclipse.emf.common.notify.Adapter createSearchConditionCombinedAdapter()

  This creates an adapter for a `SearchConditionCombined`.

  Overrides:
    `createSearchConditionCombinedAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SearchConditionCombined`

### createOrderByValueExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createOrderByValueExpressionAdapter()

  This creates an adapter for a `OrderByValueExpression`.

  Overrides:
    `createOrderByValueExpressionAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `OrderByValueExpression`

### createQueryCombinedAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryCombinedAdapter()

  This creates an adapter for a `QueryCombined`.

  Overrides:
    `createQueryCombinedAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `QueryCombined`

### createQuerySelectAdapter

    public org.eclipse.emf.common.notify.Adapter createQuerySelectAdapter()

  This creates an adapter for a `QuerySelect`.

  Overrides:
    `createQuerySelectAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `QuerySelect`

### createResultTableAllColumnsAdapter

    public org.eclipse.emf.common.notify.Adapter createResultTableAllColumnsAdapter()

  This creates an adapter for a `ResultTableAllColumns`.

  Overrides:
    `createResultTableAllColumnsAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ResultTableAllColumns`

### createResultColumnAdapter

    public org.eclipse.emf.common.notify.Adapter createResultColumnAdapter()

  This creates an adapter for a `ResultColumn`.

  Overrides:
    `createResultColumnAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ResultColumn`

### createPredicateBasicAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateBasicAdapter()

  This creates an adapter for a `PredicateBasic`.

  Overrides:
    `createPredicateBasicAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PredicateBasic`

### createPredicateBetweenAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateBetweenAdapter()

  This creates an adapter for a `PredicateBetween`.

  Overrides:
    `createPredicateBetweenAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PredicateBetween`

### createPredicateExistsAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateExistsAdapter()

  This creates an adapter for a `PredicateExists`.

  Overrides:
    `createPredicateExistsAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PredicateExists`

### createPredicateLikeAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateLikeAdapter()

  This creates an adapter for a `PredicateLike`.

  Overrides:
    `createPredicateLikeAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PredicateLike`

### createPredicateIsNullAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateIsNullAdapter()

  This creates an adapter for a `PredicateIsNull`.

  Overrides:
    `createPredicateIsNullAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PredicateIsNull`

### createPredicateQuantifiedValueSelectAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateQuantifiedValueSelectAdapter()

  This creates an adapter for a `PredicateQuantifiedValueSelect`.

  Overrides:
    `createPredicateQuantifiedValueSelectAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PredicateQuantifiedValueSelect`

### createPredicateQuantifiedRowSelectAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateQuantifiedRowSelectAdapter()

  This creates an adapter for a `PredicateQuantifiedRowSelect`.

  Overrides:
    `createPredicateQuantifiedRowSelectAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PredicateQuantifiedRowSelect`

### createPredicateInValueSelectAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateInValueSelectAdapter()

  This creates an adapter for a `PredicateInValueSelect`.

  Overrides:
    `createPredicateInValueSelectAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PredicateInValueSelect`

### createPredicateInValueListAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateInValueListAdapter()

  This creates an adapter for a `PredicateInValueList`.

  Overrides:
    `createPredicateInValueListAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PredicateInValueList`

### createPredicateInValueRowSelectAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateInValueRowSelectAdapter()

  This creates an adapter for a `PredicateInValueRowSelect`.

  Overrides:
    `createPredicateInValueRowSelectAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PredicateInValueRowSelect`

### createValueExpressionSimpleAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionSimpleAdapter()

  This creates an adapter for a `ValueExpressionSimple`.

  Overrides:
    `createValueExpressionSimpleAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionSimple`

### createValueExpressionColumnAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionColumnAdapter()

  This creates an adapter for a `ValueExpressionColumn`.

  Overrides:
    `createValueExpressionColumnAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionColumn`

### createValueExpressionVariableAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionVariableAdapter()

  This creates an adapter for a `ValueExpressionVariable`.

  Overrides:
    `createValueExpressionVariableAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionVariable`

### createValueExpressionScalarSelectAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionScalarSelectAdapter()

  This creates an adapter for a `ValueExpressionScalarSelect`.

  Overrides:
    `createValueExpressionScalarSelectAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionScalarSelect`

### createValueExpressionLabeledDurationAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionLabeledDurationAdapter()

  This creates an adapter for a `ValueExpressionLabeledDuration`.

  Overrides:
    `createValueExpressionLabeledDurationAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionLabeledDuration`

### createValueExpressionCastAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionCastAdapter()

  This creates an adapter for a `ValueExpressionCast`.

  Overrides:
    `createValueExpressionCastAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCast`

### createValueExpressionNullValueAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionNullValueAdapter()

  This creates an adapter for a `ValueExpressionNullValue`.

  Overrides:
    `createValueExpressionNullValueAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionNullValue`

### createValueExpressionDefaultValueAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionDefaultValueAdapter()

  This creates an adapter for a `ValueExpressionDefaultValue`.

  Overrides:
    `createValueExpressionDefaultValueAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionDefaultValue`

### createValueExpressionFunctionAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionFunctionAdapter()

  This creates an adapter for a `ValueExpressionFunction`.

  Overrides:
    `createValueExpressionFunctionAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionFunction`

### createValueExpressionCombinedAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionCombinedAdapter()

  This creates an adapter for a `ValueExpressionCombined`.

  Overrides:
    `createValueExpressionCombinedAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCombined`

### createGroupingSetsAdapter

    public org.eclipse.emf.common.notify.Adapter createGroupingSetsAdapter()

  This creates an adapter for a `GroupingSets`.

  Overrides:
    `createGroupingSetsAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GroupingSets`

### createGroupingSetsElementSublistAdapter

    public org.eclipse.emf.common.notify.Adapter createGroupingSetsElementSublistAdapter()

  This creates an adapter for a `GroupingSetsElementSublist`.

  Overrides:
    `createGroupingSetsElementSublistAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GroupingSetsElementSublist`

### createGroupingSetsElementExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createGroupingSetsElementExpressionAdapter()

  This creates an adapter for a `GroupingSetsElementExpression`.

  Overrides:
    `createGroupingSetsElementExpressionAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GroupingSetsElementExpression`

### createSuperGroupAdapter

    public org.eclipse.emf.common.notify.Adapter createSuperGroupAdapter()

  This creates an adapter for a `SuperGroup`.

  Overrides:
    `createSuperGroupAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SuperGroup`

### createGroupingExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createGroupingExpressionAdapter()

  This creates an adapter for a `GroupingExpression`.

  Overrides:
    `createGroupingExpressionAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GroupingExpression`

### createSuperGroupElementSublistAdapter

    public org.eclipse.emf.common.notify.Adapter createSuperGroupElementSublistAdapter()

  This creates an adapter for a `SuperGroupElementSublist`.

  Overrides:
    `createSuperGroupElementSublistAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SuperGroupElementSublist`

### createSuperGroupElementExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createSuperGroupElementExpressionAdapter()

  This creates an adapter for a `SuperGroupElementExpression`.

  Overrides:
    `createSuperGroupElementExpressionAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SuperGroupElementExpression`

### createValueExpressionCaseSearchAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionCaseSearchAdapter()

  This creates an adapter for a `ValueExpressionCaseSearch`.

  Overrides:
    `createValueExpressionCaseSearchAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCaseSearch`

### createValueExpressionCaseSimpleAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionCaseSimpleAdapter()

  This creates an adapter for a `ValueExpressionCaseSimple`.

  Overrides:
    `createValueExpressionCaseSimpleAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCaseSimple`

### createValueExpressionCaseElseAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionCaseElseAdapter()

  This creates an adapter for a `ValueExpressionCaseElse`.

  Overrides:
    `createValueExpressionCaseElseAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCaseElse`

### createValueExpressionCaseSearchContentAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionCaseSearchContentAdapter()

  This creates an adapter for a `ValueExpressionCaseSearchContent`.

  Overrides:
    `createValueExpressionCaseSearchContentAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCaseSearchContent`

### createValueExpressionCaseSimpleContentAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionCaseSimpleContentAdapter()

  This creates an adapter for a `ValueExpressionCaseSimpleContent`.

  Overrides:
    `createValueExpressionCaseSimpleContentAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCaseSimpleContent`

### createTableInDatabaseAdapter

    public org.eclipse.emf.common.notify.Adapter createTableInDatabaseAdapter()

  This creates an adapter for a `TableInDatabase`.

  Overrides:
    `createTableInDatabaseAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TableInDatabase`

### createTableFunctionAdapter

    public org.eclipse.emf.common.notify.Adapter createTableFunctionAdapter()

  This creates an adapter for a `TableFunction`.

  Overrides:
    `createTableFunctionAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TableFunction`

### createColumnNameAdapter

    public org.eclipse.emf.common.notify.Adapter createColumnNameAdapter()

  This creates an adapter for a `ColumnName`.

  Overrides:
    `createColumnNameAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ColumnName`

### createTableNestedAdapter

    public org.eclipse.emf.common.notify.Adapter createTableNestedAdapter()

  This creates an adapter for a `TableNested`.

  Overrides:
    `createTableNestedAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TableNested`

### createQueryMergeStatementAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryMergeStatementAdapter()

  This creates an adapter for a `QueryMergeStatement`.

  Overrides:
    `createQueryMergeStatementAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `QueryMergeStatement`

### createSearchConditionNestedAdapter

    public org.eclipse.emf.common.notify.Adapter createSearchConditionNestedAdapter()

  This creates an adapter for a `SearchConditionNested`.

  Overrides:
    `createSearchConditionNestedAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SearchConditionNested`

### createValueExpressionNestedAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionNestedAdapter()

  This creates an adapter for a `ValueExpressionNested`.

  Overrides:
    `createValueExpressionNestedAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionNested`

### createOrderByOrdinalAdapter

    public org.eclipse.emf.common.notify.Adapter createOrderByOrdinalAdapter()

  This creates an adapter for a `OrderByOrdinal`.

  Overrides:
    `createOrderByOrdinalAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `OrderByOrdinal`

### createTableCorrelationAdapter

    public org.eclipse.emf.common.notify.Adapter createTableCorrelationAdapter()

  This creates an adapter for a `TableCorrelation`.

  Overrides:
    `createTableCorrelationAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TableCorrelation`

### createUpdateSourceAdapter

    public org.eclipse.emf.common.notify.Adapter createUpdateSourceAdapter()

  This creates an adapter for a `UpdateSource`.

  Overrides:
    `createUpdateSourceAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `UpdateSource`

### createUpdateSourceExprListAdapter

    public org.eclipse.emf.common.notify.Adapter createUpdateSourceExprListAdapter()

  This creates an adapter for a `UpdateSourceExprList`.

  Overrides:
    `createUpdateSourceExprListAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `UpdateSourceExprList`

### createUpdateSourceQueryAdapter

    public org.eclipse.emf.common.notify.Adapter createUpdateSourceQueryAdapter()

  This creates an adapter for a `UpdateSourceQuery`.

  Overrides:
    `createUpdateSourceQueryAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `UpdateSourceQuery`

### createOrderByResultColumnAdapter

    public org.eclipse.emf.common.notify.Adapter createOrderByResultColumnAdapter()

  This creates an adapter for a `OrderByResultColumn`.

  Overrides:
    `createOrderByResultColumnAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `OrderByResultColumn`

### createWithTableReferenceAdapter

    public org.eclipse.emf.common.notify.Adapter createWithTableReferenceAdapter()

  This creates an adapter for a `WithTableReference`.

  Overrides:
    `createWithTableReferenceAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `WithTableReference`

### createQueryNestedAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryNestedAdapter()

  This creates an adapter for a `QueryNested`.

  Overrides:
    `createQueryNestedAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `QueryNested`

### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `SQLQueryModelAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`